Bug 501882 - /tmp/libguestfs temporary directory is not cleaned up
/tmp/libguestfs temporary directory is not cleaned up
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 04:30 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 15:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-05-21 04:30:42 EDT
/tmp/libguestfs temporary directory is not cleaned up (sometimes).
This appears to happen if the main program segfaults.

You can see on a machine that has been used to run and test
libguestfs quite a lot there are many left-over temporary
directories:

$ ls -ltr /tmp | grep libguestfs
drwx------.  2 rjones rjones      4096 2009-04-24 22:06 libguestfsPnzFnT
drwx------.  2 rjones rjones      4096 2009-04-24 22:17 libguestfsXrvC93
drwx------.  2 rjones rjones      4096 2009-04-24 22:19 libguestfsXbv921
drwx------.  2 rjones rjones      4096 2009-04-24 23:09 libguestfsL3H27X
drwx------.  2 rjones rjones      4096 2009-04-24 23:10 libguestfsVV7fnI
drwx------.  2 rjones rjones      4096 2009-04-25 10:36 libguestfsOqnEBO
drwx------.  2 rjones rjones      4096 2009-04-25 10:59 libguestfsCg9dAQ
drwx------.  2 rjones rjones      4096 2009-04-25 12:31 libguestfsfNFlJo
drwx------.  2 rjones rjones      4096 2009-04-25 21:27 libguestfs4EvTzY
drwx------.  2 rjones rjones      4096 2009-04-25 21:28 libguestfs8PNOqN
drwx------.  2 rjones rjones      4096 2009-04-25 21:28 libguestfsWX555N
drwx------.  2 rjones rjones      4096 2009-04-25 21:32 libguestfshoPthR
drwx------.  2 rjones rjones      4096 2009-04-25 21:38 libguestfsX4HLhC
drwx------.  2 rjones rjones      4096 2009-04-25 22:40 libguestfs4dGiOi
drwx------.  2 rjones rjones      4096 2009-04-26 06:42 libguestfsUiLlov
drwx------.  2 rjones rjones      4096 2009-04-26 10:30 libguestfsh2g17X
drwx------.  2 rjones rjones      4096 2009-04-26 11:04 libguestfsEFxdpV
drwx------.  2 rjones rjones      4096 2009-04-26 11:20 libguestfsk8jLKK
drwx------.  2 rjones rjones      4096 2009-04-26 11:27 libguestfsUbE3mo
drwx------.  2 rjones rjones      4096 2009-04-26 11:30 libguestfsPf3vRn
drwx------.  2 rjones rjones      4096 2009-04-27 13:58 libguestfs5La4Nh
drwx------.  2 rjones rjones      4096 2009-04-27 13:59 libguestfsEHRt6L
drwx------.  2 rjones rjones      4096 2009-04-28 14:17 libguestfsZXfISJ
drwx------.  2 rjones rjones      4096 2009-04-28 15:06 libguestfsvkvnpU
drwx------.  2 rjones rjones      4096 2009-04-30 17:03 libguestfsWF8Fwk
drwx------.  2 rjones rjones      4096 2009-04-30 17:48 libguestfs2ThEvu
drwx------.  2 rjones rjones      4096 2009-04-30 18:54 libguestfsjllKMx
drwx------.  2 rjones rjones      4096 2009-04-30 19:17 libguestfsJQkxZt
drwx------.  2 rjones rjones      4096 2009-04-30 19:24 libguestfshLZvB7
drwx------.  2 rjones rjones      4096 2009-04-30 19:24 libguestfsUoMjlN
drwx------.  2 rjones rjones      4096 2009-04-30 19:26 libguestfsX41BPe
drwx------.  2 rjones rjones      4096 2009-04-30 20:01 libguestfsyEisek
drwx------.  2 rjones rjones      4096 2009-04-30 22:05 libguestfsPwJpMX
drwx------.  2 rjones rjones      4096 2009-04-30 22:05 libguestfsHIw1IW
drwx------.  2 rjones rjones      4096 2009-04-30 22:09 libguestfszxyrxW
drwx------.  2 rjones rjones      4096 2009-04-30 22:17 libguestfs7HeLx5
drwx------.  2 rjones rjones      4096 2009-04-30 23:03 libguestfsmH8fbG
drwx------.  2 rjones rjones      4096 2009-04-30 23:07 libguestfslrX9Cd
drwx------.  2 rjones rjones      4096 2009-05-01 12:29 libguestfsBMpjGI
drwx------.  2 rjones rjones      4096 2009-05-07 19:34 libguestfsiEKvpy
drwx------.  2 rjones rjones      4096 2009-05-08 13:26 libguestfsfWskWA
drwx------.  2 rjones rjones      4096 2009-05-08 13:28 libguestfs2mF77s
drwx------.  2 rjones rjones      4096 2009-05-08 13:30 libguestfsSgxNWm
drwx------.  2 rjones rjones      4096 2009-05-08 13:36 libguestfsrz6Vzg
drwx------.  2 rjones rjones      4096 2009-05-08 13:42 libguestfsmmxBcc
drwx------.  2 rjones rjones      4096 2009-05-08 13:43 libguestfsX9Lriw
drwx------.  2 rjones rjones      4096 2009-05-08 13:47 libguestfsWJi5PG
drwx------.  2 rjones rjones      4096 2009-05-08 13:48 libguestfsujog75
drwx------.  2 rjones rjones      4096 2009-05-08 13:50 libguestfsP8phmm
drwx------.  2 rjones rjones      4096 2009-05-08 13:54 libguestfsK5vbAX
drwx------.  2 rjones rjones      4096 2009-05-08 14:25 libguestfsw3Zf99
drwx------.  2 rjones rjones      4096 2009-05-08 14:33 libguestfsziUOxQ
drwx------.  2 rjones rjones      4096 2009-05-08 14:35 libguestfsMuazwH
drwx------.  2 rjones rjones      4096 2009-05-08 14:39 libguestfsi0wWxG
drwx------.  2 rjones rjones      4096 2009-05-08 14:40 libguestfsjphBuA
drwx------.  2 rjones rjones      4096 2009-05-08 14:43 libguestfs820ebu
drwx------.  2 rjones rjones      4096 2009-05-08 15:29 libguestfsiiTuOl
drwx------.  2 rjones rjones      4096 2009-05-08 15:29 libguestfse8Z0N0
drwx------.  2 rjones rjones      4096 2009-05-08 15:30 libguestfsE38ASR
drwx------.  2 rjones rjones      4096 2009-05-08 15:32 libguestfs1pFxcx
drwx------.  2 rjones rjones      4096 2009-05-08 15:37 libguestfsJc5bJY
drwx------.  2 rjones rjones      4096 2009-05-08 15:39 libguestfsRzzusY
drwx------.  2 rjones rjones      4096 2009-05-08 15:40 libguestfslvwo2O
drwx------.  2 rjones rjones      4096 2009-05-08 15:45 libguestfszwPj65
drwx------.  2 rjones rjones      4096 2009-05-08 15:46 libguestfsTvjgtO
drwx------.  2 rjones rjones      4096 2009-05-08 17:54 libguestfsK8uP8m
drwx------.  2 rjones rjones      4096 2009-05-08 17:55 libguestfs17rgvl
drwx------.  2 rjones rjones      4096 2009-05-08 18:06 libguestfsTbEaUg
drwx------.  2 rjones rjones      4096 2009-05-08 18:31 libguestfsPtg1m4
drwx------.  2 rjones rjones      4096 2009-05-09 13:14 libguestfskLxxCq
drwx------.  2 rjones rjones      4096 2009-05-09 13:34 libguestfsYHkzyx
drwx------.  2 root   root        4096 2009-05-11 08:32 libguestfsmHYGHS
drwx------.  2 rjones rjones      4096 2009-05-12 15:51 libguestfsijVRuR
drwx------.  2 rjones rjones      4096 2009-05-12 16:47 libguestfsi3iXuA
drwx------.  2 rjones rjones      4096 2009-05-12 16:55 libguestfsSI6dar
drwx------.  2 rjones rjones      4096 2009-05-12 17:03 libguestfsLwtMBP
drwx------.  2 rjones rjones      4096 2009-05-13 10:26 libguestfsIrPchE
drwx------.  2 rjones rjones      4096 2009-05-13 10:29 libguestfs9pASkP
drwx------.  2 rjones rjones      4096 2009-05-13 10:30 libguestfsndT8So
drwx------.  2 rjones rjones      4096 2009-05-13 10:35 libguestfsH60xLp
drwx------.  2 rjones rjones      4096 2009-05-13 10:38 libguestfs2ttFlr
drwx------.  2 rjones rjones      4096 2009-05-13 11:03 libguestfs3HwXne
drwx------.  2 rjones rjones      4096 2009-05-13 11:04 libguestfs9a2d5f
drwx------.  2 rjones rjones      4096 2009-05-13 11:06 libguestfsjm0kll
drwx------.  2 rjones rjones      4096 2009-05-13 11:48 libguestfso34pqQ
drwx------.  2 rjones rjones      4096 2009-05-13 12:38 libguestfsxbdjQl
drwx------.  2 rjones rjones      4096 2009-05-13 12:55 libguestfsjhNvFG
drwx------.  2 rjones rjones      4096 2009-05-13 13:31 libguestfsld4SOc
drwx------.  2 rjones rjones      4096 2009-05-13 15:27 libguestfsnRQfWx
drwx------.  2 rjones rjones      4096 2009-05-18 16:52 libguestfsJBQUNq
drwx------.  2 rjones rjones      4096 2009-05-18 20:16 libguestfsrVvXqP
drwx------.  2 rjones rjones      4096 2009-05-18 20:19 libguestfsoxhddm
Comment 1 Richard W.M. Jones 2009-05-26 05:48:50 EDT
Upstream bug, so moved to Virtualization Tools product.
Comment 2 Mark McLoughlin 2009-07-31 05:42:54 EDT
Removing from F11VirtTarget since we've moved it upstream - not so big a deal since it only happens if there's a crash
Comment 3 Richard W.M. Jones 2010-12-12 15:51:31 EST
Comprehensively fixed upstream:
http://git.annexia.org/?p=libguestfs.git;a=commitdiff;h=4beb2844091310012b5e28971707397d1d51d833

Note You need to log in before you can comment on or make changes to this bug.